## libdumbtts 0.3.2

=== src/Makefile ===
INCDIR=/usr/include
LIBDIR=/usr/lib
DATADIR=/usr/share/dumbtts

RELEASE = 3.1
LIB_NAME = libdumbtts.so
LIB_VERSION = 0
LIBTAG = $(LIB_VERSION).$(RELEASE)

INSTALL = /usr/bin/install
LN_SF = /bin/ln -sf
MKDIR = mkdir -p
C = gcc
PIC =
ARCH = $(shell uname -m)

ifeq "$(ARCH)" "x86_64"
	PIC = -fPIC
endif

SRCS = libdumbtts.c libdumbtts.h libdumbtts_re.c libdumbtts_dic.c local.h
OBJS = libdumbtts.o

all: $(LIB_NAME)
	mv $(LIB_NAME) $(LIB_NAME).$(LIBTAG)

$(OBJS): $(SRCS)
	$(C) $(PIC) -o $(OBJS) -c -Wall libdumbtts.c

$(LIB_NAME): $(OBJS)
	$(C) $(PIC) -shared -Wl,-soname,$(LIB_NAME).$(LIB_VERSION) -o $@ $(OBJS)

clean:
	rm -f *.o *.a *~ $(LIB_NAME).$(LIBTAG) ../conf/*~
	
install: all
	# Create directories
	rm -rf $(DESTDIR)$(DATADIR)
	$(MKDIR) $(DESTDIR)$(LIBDIR)
	$(MKDIR) $(DESTDIR)$(INCDIR)
	$(MKDIR) $(DESTDIR)$(DATADIR)
	# Install shared library
	$(INSTALL) -m 755 $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)
	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)/$(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(DESTDIR)$(LIBDIR)/$(LIB_NAME)
	# Install development headers
	$(INSTALL) -pm 644 libdumbtts.h $(DESTDIR)$(INCDIR)
	# Install data files
	cp -prf ../conf/* $(DESTDIR)$(DATADIR)

=== debian/changelog ===
libdumbtts (0.3.2-2) unstable; urgency=medium

  * rules: Set cross-build CC.
  * rules: Pass C and ARCH to makefile.
  * patches/dep: Fix 'all' target dependency on library.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:34:34 +0200

libdumbtts (0.3.2-1) unstable; urgency=medium

  * Initial release (Closes: Bug#987171)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Apr 2021 03:08:10 +0200

=== debian/control ===
Source: libdumbtts
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: http://www.polip.com/files/
Vcs-Browser: https://salsa.debian.org/tts-team/libdumbtts
Vcs-Git: https://salsa.debian.org/tts-team/libdumbtts.git
Rules-Requires-Root: no

Package: libdumbtts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdumbtts0 (= ${binary:Version}), ${misc:Depends}
Description: Helper library for dumb speech synthesizers - dev files
 This library is used between the Ivona synthesizer and
 speech-dispatcher. On the other side, it should be as flexible as it can
 be to generate output texts for every other synthesizer.
 .
 This package contains the development files.

Package: libdumbtts0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Helper library for dumb speech synthesizers - shared library
 This library is used between the Ivona synthesizer and
 speech-dispatcher. On the other side, it should be as flexible as it can
 be to generate output texts for every other synthesizer.
 .
 This package contains the shared library files.

=== debian/rules ===
#!/usr/bin/make -f

export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@ -- -Dsrc

override_dh_auto_build:
	dh_auto_build -- C='$(CC)' ARCH='$(DEB_HOST_GNU_CPU)'

=== debian/tests/control ===
Tests: tests
Depends: libdumbtts-dev, build-essential

=== debian/watch ===
version=4
http://www.polip.com/files/ libdumbtts-@ANY_VERSION@@ARCHIVE_EXT@
